const prefix = '/api/admin'

export default {
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
    },
  },
  user: {
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
      login: true
    },
    signout: {
      method: 'POST',
      url: `${prefix}/taUser/signout`,
      logout: true
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
    },
    updateStatus: {
      method: 'PUT',
      url: `${prefix}/building/update/status`,
    },
    addBuilding: {
      method: 'POST',
      url: `${prefix}/building/add`,
    },
    updateBuilding: {
      method: 'PUT',
      url: `${prefix}/building/update`,
    },
    buildingGetById: {
      method: 'GET',
      url: `${prefix}/buildingSelectId/id`,
    },
    deleteBuilding: {
      method: 'DELETE',
      url: `${prefix}/building/delete/id`,
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/id`,
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/id`,
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/id`,
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/id`,
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/id`,
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/id`,
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
    },
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/id`,
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/id`,
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/id`,
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/id`,
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/id`,
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/id`,
    },
  },
  indexEcharts: {
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`
    },

  },
  activity: {
      list: {
        method: 'GET',
        url: '/api/admin/iBuildingDynamicList',
      },
      weight: {
        method: 'PUT',
        url: '/api/admin/buildingDynamic/weight',
      },
      cancel: {
        method: 'PUT',
        url: '/api/admin/buildingDynamic/cancel/:id',
      },
      send: {
        url: '/api/admin/buildingDynamic/send/:id',
        method: 'PUT',
      },
      finish: {
        url: '/api/admin/buildingDynamic/finish',
        method: 'PUT',
      },
      details: {
        url: '/api/admin/buildingDynamic/Details',
        method: 'GET',
      },
      update: {
        url: '/api/admin/buildingDynamic/update',
        method: 'PUT',
      },
      add: {
        url: '/api/admin/buildingDynamic/add',
        method: 'POST',
      },
      poster: {
        url: '/api/admin/poster',
        method: 'GET',
      },
      updatePoster: {
        url: '/api/admin/poster/:id',
        method: 'PUT',
      },
      addPoster: {
        url: '/api/admin/poster',
        method: 'POST',
      },
      shareContent: {
        url: '/api/admin/shareContent',
        method: 'GET',
      },
      updateShareContent: {
        url: '/api/admin/shareContent/:id',
        method: 'PUT',
      },
      addShareContent: {
        url: '/api/admin/shareContent',
        method: 'POST',
      },
      signList: {
        url: '/api/admin/SignList',
        method: 'GET',
      }
  },
  integralMall: {
    tdPointsRules: {
      url: '/api/admin/tdPointsRules',
      method: 'GET',
    },
    change: {
      url: '/api/admin/tdPointsRules/change',
      method: 'PUT',
    },
    taGoods: {
      url: '/api/admin/taGoods/:id',
      method: 'GET',
    },
    updateTaGoods: {
      url: '/api/admin/taGoods',
      method: 'PUT',
    },
    addTaGoods: {
      url: '/api/admin/taGoods/add',
      method: 'POST',
    },
    taPointsExchange: {
      url: '/api/admin/taPointsExchange',
        method: 'GET',
    },
    getTaGoods: {
      url: '/api/admin/taGoods',
      method: 'GET',
    },
    changeTaGoods: {
      url: '/api/admin/taGoods/change',
      method: 'PUT',
    },
    changeTaPointsExchange: {
      url: '/api/admin/taPointsExchange/change',
      method: 'PUT',
    }
  },
  carsuseFigure: {
    extendContent: {
      url: '/api/admin/extendContent',
      method: 'GET',
    },
    finish: {
      url: '/api/admin/buildingDynamic/finish',
      method: 'PUT',
    },
    updataExtendContent: {
      url: '/api/admin/extendContent/:id',
      method: 'PUT',
    },
    getExtendContent: {
      url: '/api/admin/extendContent/:id',
      method: 'GET',
    },
    addExtendContent: {
      url: '/api/admin/extendContent',
      method: 'POST',
    }
  },
  // indexEcharts:{
  //   list:{
  //     method:'get',
  //     url: `${commPrefix}/indexStatistical`
  //   },
  //   userResource: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserResource`
  //   },
  //   userConversion: {
  //     method:'get',
  //     url: `${commPrefix}/selectConversion`
  //   },
  //   userActive: {
  //     method:'get',
  //     url: `${commPrefix}/selectActiveUserCount`
  //   },
  //   newUser: {
  //     method:'get',
  //     url: `${commPrefix}/selectNewsUserCount`
  //   },
  //   userBehavior: {
  //     summary: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserBehavior`
  //     },
  //     profile: {
  //       method:'get',
  //       url: `${commPrefix}/selectEventAll`
  //     },
  //   },
  //   intentionUsers: {
  //     method:'get',
  //     url: `${commPrefix}/selectIntentionUser`
  //   },
  //   userSex: {
  //     method:'get',
  //     url: `${commPrefix}/selectSexUser`
  //   },
  //   userCity: {
  //     method:'get',
  //     url: `${commPrefix}/selectCityUser`
  //   },
  // },
}
